<?php  
session_start(); 

if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	$branchmid= $_SESSION['branchid'];

	include("connect.php");	header("Access-Control-Allow-Origin: *");
	
	if($_SESSION['utype']=="admin")
	{
		 $eve = "select * from res_commission_master";
		$re = mysqli_query($conn, $eve);
	
		}
	else
	{
		$eve = "select * from res_commission_master";
		$re = mysqli_query($conn, $eve);
		}
	
	
	$re = mysqli_query($conn, $eve);	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 
				$commissionmid=$rt['commissionmid'];
				
				$piddetail='';
				$currentfile1 = basename($_SERVER['PHP_SELF']);
				 $currentfile = ltrim($currentfile1, 'json');
											$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and maview=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				
				$piddetail="<a href='commissiondetail.php?id=".$rt['commissionmid']."' data-toggle='tooltip' data-placement='top' title='Detail' class='fa fa-eye fa-lg'>  </a>";
					}
					$pidedit='';
				
											$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and maedit=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$pidedit="<a href='commissionedit.php?id=".$rt['commissionmid']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'>  </a>";
				}
				
				$piddelete='';
				$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and madelete=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$piddelete="<a href='commissiondelete.php?id=".$rt['commissionmid']."'onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>";	
					}				
                //$op=$piddetail."&nbsp;&nbsp;&nbsp; ".$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
                $op=$piddelete;
								
				$commissionname=str_replace ("'","'",$rt['commisionname']);
				$commissionname=str_replace ('"','\"',$commissionname);
	
				
	
				$collegemid=$rt['collegemid'];
				
				$collegename='';
				
				 $eve2 = "select * from res_college_master where collegemid ='$collegemid'";
				
				$re2 = mysqli_query($conn, $eve2);
				
				if(mysqli_num_rows($re2) > 0)
				{
					
					while($rt2 = mysqli_fetch_assoc($re2))
					{
							$collegename=$rt2['cmname'];
					}
				}
				
				$campusmid=$rt['campusmid'];
				
				$campusname='';
				
				$eve2 = "select * from res_collegecampus_master where ccampusmid ='$campusmid'";
			
				$re2 = mysqli_query($conn, $eve2);
				
				if(mysqli_num_rows($re2) > 0)
				{
					
					while($rt2 = mysqli_fetch_assoc($re2))
					{
							$campusname=$rt2['campusname'];
						
					}
				}
				
				
				
				
								
			$posts[] = array('srno'=> $i++,'op'=> $op,'piddelete'=> $piddelete, 'collegename'=>$collegename,'campusname'=>$campusname,'commissionname'=>$commissionname);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }   
	mysqli_close($conn);	
	
?>